From 3cdc76b7ec0e058a6c216521c6e9dc6914c79a23 Mon Sep 17 00:00:00 2001
From: Ismael Luceno <ismael@iodev.co.uk>
Date: Wed, 24 Aug 2021 00:13:49 +0200
Subject: [PATCH 01/03] configure: Add argument to disable building of demos

Based on patch by Graham Inggs <graham.inggs@uct.ac.za>.

Upstream-Status: Submitted [http://bugs.motifzone.net/show_bug.cgi?id=1575]

Signed-off-by: Ismael Luceno <ismael@iodev.co.uk>
---
 Makefile.am  |  6 ++++--
 configure.ac | 10 ++++++++--
 2 files changed, 12 insertions(+), 4 deletions(-)

diff --git a/Makefile.am b/Makefile.am
index ebd376a59092..a30b605221e4 100644
--- a/Makefile.am
+++ b/Makefile.am
@@ -27,7 +27,9 @@ SUBDIRS	= bindings bitmaps \
              include \
              tools \
              clients \
-             doc \
-             demos
+             doc
+if BUILD_DEMOS
+SUBDIRS += demos
+endif
 AUTOMAKE_OPTIONS = 1.4
 ACLOCAL_AMFLAGS = -I .
diff --git a/configure.ac b/configure.ac
index 9d1d11e34270..bcd7aee6184b 100644
--- a/configure.ac
+++ b/configure.ac
@@ -305,7 +305,13 @@ doc/man/man4/Makefile \
 doc/man/man5/Makefile \
 tools/Makefile \
 tools/wml/Makefile \
-demos/Makefile \
+lib/Xm/xmstring.list \
+])
+AC_ARG_ENABLE([demos],
+  AS_HELP_STRING([--disable-demos], [Disable building demos]))
+AM_CONDITIONAL([BUILD_DEMOS], [test "x$enable_demos" != xno])
+AS_IF([test "x$enable_demos" != "xno"], [
+  AC_CONFIG_FILES([demos/Makefile \
 demos/lib/Makefile \
 demos/lib/Xmd/Makefile \
 demos/lib/Wsm/Makefile \
@@ -389,6 +395,6 @@ demos/doc/programGuide/ch16/Makefile \
 demos/doc/programGuide/ch17/Makefile \
 demos/doc/programGuide/ch17/simple_drop/Makefile \
 demos/doc/programGuide/ch17/simple_drag/Makefile \
-lib/Xm/xmstring.list \
+  ])
 ])
 AC_OUTPUT
-- 
2.33.0

